<?php
date_default_timezone_set('Asia/Jakarta'); 
require_once("../php/conn.php");

$conn = mysqli_connect($db_server, $db_username, $db_password);
mysqli_select_db($conn,$db_database);


$kode_reseller=$_GET['id'];
$kode_reseller=str_replace('?=null','',$kode_reseller);
$kode_reseller=str_replace('?id=oke','',$kode_reseller);
$alamat='';
$kode_produk='';
$jenis = '';
$idpel = '';
$nama = '';
$tanggal = '';
$tarif = '';
$daya = '';
$kwh = '';
$nominal = 0;
$admin = '';
$ref = '';
$meter = '';
$bulan = '';
$tagihan = '';
$ppn = '';
$ppj = '';
$kode_produk = '';
$rptoken = '';
$rpbayartoken = '';
$rpbayartagihan = '';
    
$exe0 = mysqli_query($conn,"SELECT * FROM reseller where kode = '$kode_reseller'");
while($record = mysqli_fetch_array($exe0)){
    
    $nama_reseller=strtoupper($record['nama']);
    $alamat=$record['alamat'];
}
$exe = mysqli_query($conn,"SELECT * FROM cetak where kode_reseller = '$kode_reseller'");
while($record = mysqli_fetch_array($exe)){
    
    $kode_produk=$record['kode_produk'];
    $jenis = $record['jenis'];
    $idpel = $record['idpel'];
    $nama = substr($record['nama'],0,15);
    $tanggal = date( "d/m/Y H:i:s", strtotime( $record['tanggal']));
    $tarif = $record['tarif'];
    $daya = $record['daya'];
    $kwh = $record['kwh'];
    $nominal = $record['nominal'];
    $admin = $record['admin'];
    $ref = $record['ref'];
    $meter = $record['meter'];
    $bulan = $record['bulan'];
    $tagihan = $record['tagihan'];
    $ppn = $record['ppn'];
    $ppj = $record['ppj'];
    $kode_produk = $record['kode_produk'];
    $rptoken = $record['rptoken'];
    $rpbayartoken = $record['rpbayartoken'];
    $rpbayartagihan = $record['rpbayartagihan'];
}

if (empty($nama))
{
    $nama='Pulsa '.$nominal;
}

$a = array();
$obj1 = new stdClass();
$obj2 = new stdClass();
$obj3 = new stdClass();

if ($jenis == 'Isi Saldo') //isi saldo
{
$text = 'KONTER '.$nama_reseller.'
'.$alamat.'
-----------------------------
      ISI SALDO
Tanggal : #tanggal#
Mitra   : '.$ref.'
Jumlah  : Rp '.$rptoken.'
-----------------------------
Terima kasih atas kepercayaannya.

';

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis == 'Donasi') //donasi
{
$text = 'KONTER '.$nama_reseller.'
'.$alamat.'
-----------------------------
      DONASI
Tanggal : #tanggal#
Donasi  : '.$ref.'
Jumlah  : Rp '.$rptoken.'
-----------------------------
Terima kasih atas Donasi dan kepercayaannya.

';

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis == 'Pulsa - Data') //pulsa data
{
$text = 'KONTER '.$nama_reseller.'
'.$alamat.'
-----------------------------
BUKTI PEMBELIAN PULSA - DATA
TANGGAL : '.$tanggal.'
-----------------------------
NOMOR   : '.$idpel.'
JENIS   : '.wordwrap($nama,17,"\n",false).'
SERIAL  : '.wordwrap($ref,17,"\n",false).'
-----------------------------
HARGA   : Rp '.$rpbayartoken.'
-----------------------------
Terima kasih atas kunjungannya

';

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis == 'Transfer Bank' || $jenis=='Transfer Antar Bank') //token
{

$text = 'KONTER '.$nama_reseller.'
STRUK BUKTI TRANSFER
ANTAR BANK
-----------------------------
TANGGAL    : '.$tanggal.'
BANK       : '.$tarif.'
NO REK     : '.$idpel.'
NAMA       : '.$nama.'
JUMLAH     : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'

-----------------------------
Terima kasih atas kunjungannya

';

$obj3->content = $text;
array_push($a,$obj3);

}
else if ($jenis == 'Token PLN') //token
{

$text = 'KONTER '.$nama_reseller.'
STRUK BUKTI PEMBELIAN
PLN PRABAYAR

TANGGAL    : '.$tanggal.'
NO METER   : '.$idpel.'
NAMA       : '.$nama.'
TARIF/DAYA : '.$tarif.'/'.$daya.'
RP TOKEN   : Rp '.$rptoken.'
ADMIN BANK : Rp '.$admin.'
PPN        : Rp '.$ppn.'
PPJ        : Rp '.$ppj.'
RP BAYAR   : Rp '.$rpbayartoken.'
JML KWH    : '.$kwh.'
TOKEN:
'.$ref.'
TERIMA KASIH
Rincian tagihan dapat dilihat di www.pln.co.id
INFORMASI HUB: 123

';

$obj3->content = $text;
array_push($a,$obj3);

}
else if ($jenis == 'PLN Pasca Bayar') //pln pasca
{
$text = 'KONTER '.$nama_reseller.'
STRUK BUKTI PEMBAYARAN
TAGIHAN LISTRIK
   
TANGGAL    : '.$tanggal.'
IDPEL      : '.$idpel.'
NAMA       : '.$nama.'
TARIF/DAYA : '.$tarif.'/'.$daya.'
BLN/TH     : '.$bulan.'
ST. METER  : '.$meter.'
RP TAG PLN : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'
REF        : '.substr($ref,0,15).'
             '.substr($ref,16).'

TERIMA KASIH
Rincian tagihan dapat dilihat di www.pln.co.id
INFORMASI HUB: 123

'; 

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis=='BPJS' || $jenis=='B P J S') //bpjs
{
$text = 'KONTER '.$nama_reseller.'
STRUK PEMBAYARAN IURAN
BPJS KESEHATAN
    
TANGGAL    : '.$tanggal.'
NO VA      : '.$idpel.'
NAMA       : '.$nama.'
PERIODE    : '.$bulan.'
RP TAG     : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'
REF        : '.substr($ref,0,15).'
             '.substr($ref,16).'

TERIMA KASIH
Rincian tagihan dapat dilihat di www.bpjs-kesehatan.go.id
INFORMASI HUB: 1500 - 400

';    

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis=='Telkom') //telkom
{
$text = 'KONTER '.$nama_reseller.'
STRUK PEMBAYARAN 
TAGIHAN TELKOM
    
TANGGAL    : '.$tanggal.'
NO JASTEL  : '.$idpel.'
NAMA       : '.$nama.'
PERIODE    : '.$bulan.'
RP TAG     : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'
REF        : '.substr($ref,0,15).'
             '.substr($ref,16).'

TERIMA KASIH
TELKOM MENYATAKAN STRUK INI SEBAGAI BUKTI PEMBAYARAN YANG SAH
INFORMASI HUB: 147

';    

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis=='PDAM') //Pdam
{
$text = 'KONTER '.$nama_reseller.'
STRUK PEMBAYARAN
TAGIHAN PDAM
    
TANGGAL    : '.$tanggal.'
ID PEL     : '.$idpel.'
NAMA       : '.$nama.'
PERIODE    : '.$bulan.'
ST. METER  : '.$meter.'
RP TAG     : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'
REF        : '.substr($ref,0,15).'
             '.substr($ref,16).'

Terimakasih atas kepercayaan Anda membayar melalui loket kami
Simpanlah struk ini sebagai bukti pembayaran yang sah.

';    

$obj1->content = $text;
array_push($a,$obj1);

}
else if ($jenis=='HALO') //halo
{
$text = 'KONTER '.$nama_reseller.'
STRUK PEMBAYARAN
TAGIHAN HALO
    
TANGGAL    : '.$tanggal.'
NO MSISDN  : '.$idpel.'
NAMA       : '.$nama.'
PERIODE    : '.$bulan.'
RP TAG     : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'
REF        : '.substr($ref,0,15).'
             '.substr($ref,16).'

Terimakasih atas kepercayaan Anda membayar melalui loket kami
Simpanlah struk ini sebagai bukti pembayaran yang sah.

';  

$obj1->content = $text;
array_push($a,$obj1);

}
else  //halo
{
$text = 'KONTER '.$nama_reseller.'
STRUK PEMBAYARAN
TAGIHAN TV
    
TANGGAL    : '.$tanggal.'
ID PEL     : '.$idpel.'
NAMA       : '.$nama.'
PERIODE    : '.$bulan.'
RP TAG     : Rp '.$tagihan.'
ADMIN BANK : Rp '.$admin.'
RP BAYAR   : Rp '.$rpbayartagihan.'
REF        : '.substr($ref,0,15).'
             '.substr($ref,16).'

Terimakasih atas kepercayaan Anda membayar melalui loket kami
Simpanlah struk ini sebagai bukti pembayaran yang sah.

';  

$obj1->content = $text;
array_push($a,$obj1);

}


echo json_encode($a,JSON_FORCE_OBJECT);
//Note that same sequence will be used for printing data
?>
